# Uses of Class
org.eclipse.jdt.core.dom.PrimitiveType.Code

Packages that use PrimitiveType.Code
Package
Description
org.eclipse.jdt.core.dom
The Java DOM/AST is the set of classes that model the source code of a Java program as a structured document.

## Uses of PrimitiveType.Code in org.eclipse.jdt.core.dom

Fields in org.eclipse.jdt.core.dom declared as PrimitiveType.Code
Modifier and Type
Field
Description
`static final PrimitiveType.Code`
PrimitiveType.`BOOLEAN`
Type code for the primitive type "boolean".
`static final PrimitiveType.Code`
PrimitiveType.`BYTE`
Type code for the primitive type "byte".
`static final PrimitiveType.Code`
PrimitiveType.`CHAR`
Type code for the primitive type "char".
`static final PrimitiveType.Code`
PrimitiveType.`DOUBLE`
Type code for the primitive type "double".
`static final PrimitiveType.Code`
PrimitiveType.`FLOAT`
Type code for the primitive type "float".
`static final PrimitiveType.Code`
PrimitiveType.`INT`
Type code for the primitive type "int".
`static final PrimitiveType.Code`
PrimitiveType.`LONG`
Type code for the primitive type "long".
`static final PrimitiveType.Code`
PrimitiveType.`SHORT`
Type code for the primitive type "short".
`static final PrimitiveType.Code`
PrimitiveType.`VOID`
Type code for the primitive type "void".
Methods in org.eclipse.jdt.core.dom that return PrimitiveType.Code
Modifier and Type
Method
Description
`PrimitiveType.Code`
PrimitiveType.`getPrimitiveTypeCode()`
Returns the primitive type code.
`static PrimitiveType.Code`
PrimitiveType.`toCode(String token)`
Returns the primitive type code corresponding to the given string, or `null` if none.
Methods in org.eclipse.jdt.core.dom with parameters of type PrimitiveType.Code
Modifier and Type
Method
Description
`PrimitiveType`
AST.`newPrimitiveType(PrimitiveType.Code typeCode)`
Creates and returns a new unparented primitive type node with the given type code.
`void`
PrimitiveType.`setPrimitiveTypeCode(PrimitiveType.Code typeCode)`
Sets the primitive type code.